country.json: Get country for IP(s)

API: geojs.io:geojs-ip-geolocation-api
Endpoint: /ip/country.json
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 321ms

Description

Returns country information for the requesting IP or specified IP(s). Multiple IPs can be queried with comma separation.

Parameters (1)

ip (string, query, optional)

IP address(es) to lookup. Omit to get info for requesting IP. Use comma to query multiple IPs.

Examples (1)

Get country for IP(s) openapi-spec
curl 'https://get.geojs.io/v1/ip/country.json?ip=8.8.8.8'
import requests

resp = requests.get(
    "https://get.geojs.io/v1/ip/country.json",
    params={
        'ip': '8.8.8.8',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("geojs-ip-geolocation")
result = api.fetch("ip/country.json", ip="8.8.8.8")

for item in result:
    print(item)
const resp = await fetch("https://get.geojs.io/v1/ip/country.json?ip=8.8.8.8");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:53:00.161981 200 321ms
2026-04-15 02:16:18.189632 200 146ms
2026-04-14 02:41:44.449050 200 243ms
2026-04-12 13:45:07.422387 200 190ms
2026-04-10 00:14:35.099439 200 163ms
2026-04-09 03:39:52.890804 200 234ms